name: 'Bluefors logs temperature Plugin'
version: "0.1.0"
alias: "bluefors-temperature-logs"
creator: "d.brinkman-1@tudelft.nl"
description: "Collector plugin for Bluefors Fridges using its temperature log files"
runtime:
  main: plugin.py
settings:
  base:
    abs_logs_folder_path: 
      label: "Path"
      type: str
      default: "C:\\bf_logging"
      description: "Absolute path to the folder of the log files"
    data_groups: 
      label: "Data groups"
      type: list
  data_groups:
    group_label: 
      label: "Group label" 
      type: str
      required: true  
      description: "Unique name (per collector) of the data group"
    data_points:
      label: "Data points"
      type: list 
  data_points:
    variable_name:
      label: "Variable name"
      type: str
      required: true
      description: "Variable name of the data point. Will be used when exporting data"
    unit: 
      label: "Unit"
      type: str
      required: false
      description: "Unit of the retrieved variable. SI-prefixes are understood"
    channel:
      label: "Channel"
      type: int
      required: true 
      description: "Channel number of the data point"
    